org.apache.ode.dao.jpa

## Class XmlDataDAOImpl

- java.lang.Object
- - org.apache.ode.dao.jpa.XmlDataDAOImpl

- All Implemented Interfaces:
    XmlDataDAO

      @Entity
      public class XmlDataDAOImpl
      extends java.lang.Object
      implements XmlDataDAO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DELETE_XMLDATA_BY_SCOPE_IDS`
    `static java.lang.String` | `SELECT_XMLDATA_IDS_BY_INSTANCE`
    `static java.lang.String` | `SELECT_XMLDATA_IDS_BY_PROCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlDataDAOImpl()`
    `XmlDataDAOImpl(ScopeDAOImpl scope, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Node` | `get()` Retreive the variable data.
    `java.lang.String` | `getName()` Get the name of the variable.
    `java.lang.String` | `getProperty(java.lang.String propertyName)` Return the value of a property.
    `ScopeDAO` | `getScopeDAO()` Gets the scope associated with this xml data.
    `boolean` | `isNull()` Checks if the dao has been assigned any data.
    `void` | `remove()` Remove the object from the data store.
    `void` | `set(org.w3c.dom.Node val)` Set the data value of a variable.
    `void` | `setProperty(java.lang.String pname, java.lang.String pvalue)` Sets the value of a property

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SELECT_XMLDATA_IDS_BY_PROCESS

          public static final java.lang.String SELECT_XMLDATA_IDS_BY_PROCESS

      See Also:
        Constant Field Values

    - #### SELECT_XMLDATA_IDS_BY_INSTANCE

          public static final java.lang.String SELECT_XMLDATA_IDS_BY_INSTANCE

      See Also:
        Constant Field Values

    - #### DELETE_XMLDATA_BY_SCOPE_IDS

          public static final java.lang.String DELETE_XMLDATA_BY_SCOPE_IDS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XmlDataDAOImpl

          public XmlDataDAOImpl()

    - #### XmlDataDAOImpl

          public XmlDataDAOImpl(ScopeDAOImpl scope,
                                java.lang.String name)

  - ### Method Detail

    - #### get

          public org.w3c.dom.Node get()

      Description copied from interface: `XmlDataDAO`
      Retreive the variable data.
      Specified by:
        `get` in interface `XmlDataDAO`
      Returns:
        the variable data

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `XmlDataDAO`
      Get the name of the variable.
      Specified by:
        `getName` in interface `XmlDataDAO`
      Returns:
        variable name

    - #### getProperty

          public java.lang.String getProperty(java.lang.String propertyName)

      Description copied from interface: `XmlDataDAO`
      Return the value of a property. Properties are useful for extracting simple type data which can be used for querying and identifying process instances.
      Specified by:
        `getProperty` in interface `XmlDataDAO`
      Returns:
        value of property or null if not set.

    - #### getScopeDAO

          public ScopeDAO getScopeDAO()

      Description copied from interface: `XmlDataDAO`
      Gets the scope associated with this xml data.
      Specified by:
        `getScopeDAO` in interface `XmlDataDAO`
      Returns:
        scope

    - #### isNull

          public boolean isNull()

      Description copied from interface: `XmlDataDAO`
      Checks if the dao has been assigned any data.
      Specified by:
        `isNull` in interface `XmlDataDAO`
      Returns:
        `true` is assignment has NOT occured.

    - #### remove

          public void remove()

      Description copied from interface: `XmlDataDAO`
      Remove the object from the data store.
      Specified by:
        `remove` in interface `XmlDataDAO`

    - #### set

          public void set(org.w3c.dom.Node val)

      Description copied from interface: `XmlDataDAO`
      Set the data value of a variable.
      Specified by:
        `set` in interface `XmlDataDAO`
      Parameters:
        `val` - value

    - #### setProperty

          public void setProperty(java.lang.String pname,
                                  java.lang.String pvalue)

      Description copied from interface: `XmlDataDAO`
      Sets the value of a property
      Specified by:
        `setProperty` in interface `XmlDataDAO`